<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\MainController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [MainController::class, 'main']);
Route::post('/saveRsvp', [MainController::class, 'saveRsvp'])->name('rsvp.save');
Route::post('/saveSpeech', [MainController::class, 'saveSpeech'])->name('speech.save');
Route::get('/guestbook', [MainController::class, 'fetchGuestbook'])->name('guestbook.ajax');
